ENAML-RUN(1)

NAME
enaml-run - Command-line tool to run .enaml files

SYNOPSIS
enaml-run [OPTIONS] ENAML_FILE [SCRIPT_ARGUMENTS]

DESCRIPTION
enaml-run is a shortcut to run an enaml file using the default QtApplication. It can be used during development or to display most of the provided examples.

OPTIONS

-h, --help
    Print a help message and exit.

-c "COMPONENT", --component "COMPONENT"
    Specify the component to display. If not specifiied the enamldef class "Main" is used.

EXAMPLES
  enaml-run /usr/share/doc/python3-enaml/examples/tutorial/hello_world/hello_world_view.enaml

AUTHOR
Alexander Sulfrian, 2025